Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DXFLayer Class Reference

This represents a "layer" as read from the DXF file. More...

`#include "dxfLayer.h"`

Inheritance diagram for DXFLayer:

## Public Member Functions
| DXFLayer (const std::string &name)
Public Member Functions inherited from Namable
| Namable (const std::string &initial_name="")
void | clear_name ()
| Resets the Namable's name to empty.
const std::string & | get_name () const
bool | has_name () const
| Returns true if the Namable has a nonempty name set, false if the name is empty.
void | output (std::ostream &out) const
| Outputs the Namable.
void | set_name (const std::string &name)
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Static Public Member Functions inherited from Namable
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from Namable
| get_name
| set_name

## Detailed Description

This represents a "layer" as read from the DXF file.

A layer may be defined by reading the header part of the file, or it may be implicitly defined by an entity's having referenced it.

User code may derive from DXFLayer to associate private data with each layer, if desired.

Definition at line 28 of file dxfLayer.h.

## Constructor & Destructor Documentation

## ◆ DXFLayer()

DXFLayer::DXFLayer | ( | const std::string & | name | ) |

Definition at line 20 of file dxfLayer.cxx.

## ◆ ~DXFLayer()

DXFLayer::~DXFLayer | ( |  | ) |
| virtual

Definition at line 27 of file dxfLayer.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/dxf/dxfLayer.h
- pandatool/src/dxf/dxfLayer.cxx